package org.domain.TestApplication.test;

import org.testng.annotations.Test;
import org.jboss.seam.mock.SeamTest;

public class ModalPanelTest extends SeamTest {

	@Test
	public void test_modalPanel() throws Exception {
		new FacesRequest() {
			@Override
			protected void updateModelValues() throws Exception {				
				//set form input to model attributes
				setValue("#{modalPanel.value}", "seam");
			}
			@Override
			protected void invokeApplication() {
				//call action methods here
				invokeMethod("#{modalPanel.modalPanel}");
			}
			@Override
			protected void renderResponse() {
				//check model attributes if needed
				assert getValue("#{modalPanel.value}").equals("seam");
			}
		}.run();
	}
}
